<template name="FrontOfficeUserMenu">
  <div class="user-menu">
    <ul>
      {{#if isAuthorizedToAccessBackOffice}}
        <li><a href="{{ pathFor 'backOfficeHome' }}"><i class="fa fa-cog"></i></a></li>
      {{/if}}
      <li data-view-action="display-account-form">
        {{#if currentUser}}
          <span>{{ userDenomination }}</span><i class="fa fa-user"></i>
        {{else}}
          <span>Déconnecté</span><i class="fa fa-sign-in"></i>
        {{/if}}
      </li>
      <li data-view-action="display-cart-manager" class="cart">
        <i class="fa fa-shopping-cart"></i>
        {{#if articlesInCart}}<span class='articles-in-cart'>{{ articlesInCart }}</span>{{/if}}
      </li>
    </ul>
  {{#if currentUser}}
    <div class="account-form hidden-by-default">
      <div class="overlay" data-view-action="close-account-form"></div>
      <div class="arrow-up"></div>
      <div class="at-form">
        {{> atNavButton}}
      </div>
    </div>
  {{else}}
    <div class="account-form hidden-by-default">
      <div class="overlay" data-view-action="close-account-form"></div>
      <div class="arrow-up"></div>
      {{> atForm}}
    </div>
  {{/if}}
  {{#if articlesInCart}}{{> Cart}}{{/if}}
  </div>
</template>
